set(SEMTECH_PLATFORM_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/loramac-node-4_4_7/src)

set(
  PLATFORM_INC_DIR
  ${CMAKE_CURRENT_LIST_DIR}/inc
  ${SEMTECH_PLATFORM_SRC_DIR}/boards
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/B-L072Z-LRWAN1
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/cmsis
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/B-L072Z-LRWAN1/cmsis
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/STM32L0xx_HAL_Driver/Inc
  ${SEMTECH_PLATFORM_SRC_DIR}/system
  ${SEMTECH_PLATFORM_SRC_DIR}/radio
  ${SEMTECH_PLATFORM_SRC_DIR}/radio/sx1276
  ${SEMTECH_PLATFORM_SRC_DIR}/mac
  ${SEMTECH_PLATFORM_SRC_DIR}/mac/region)

set(SEMTECH_PLATFORM_NAME "B-L072Z-LRWAN1" CACHE INTERNAL "")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -T${CMAKE_CURRENT_BINARY_DIR}/platforms/${PLATFORM}/${L2_STACK}/Patching/stm32l072xx_flash.ld")